using SteamWare;
using System;
using System.Web.UI;

namespace GMW
{
  public partial class FullPage : System.Web.UI.MasterPage
  {
    protected void Page_Load(object sender, EventArgs e)
    {
      if (!Page.IsPostBack)
      {
        // se è richiesto mostro calcolatrice e di conseguenza imposto DIV... altrimenti
        if (showCalc)
        {
          divMain.Attributes.Remove("class");
          divMain.Attributes.Add("class", "divMainKeyb");
        }
        divNumKeyb.Visible = showCalc;
      }
    }

    protected bool showCalc
    {
      get
      {
        bool answ = false;
        // cerco da sessione SE C'E'...
        if (memLayer.ML.isInSessionObject("showNumKey"))
        {
          answ = memLayer.ML.BoolSessionObj("showNumKey");
        }
        else
        {
          // cerco da web.config
          answ = memLayer.ML.CRB("showNumKey");
        }
        return answ;
      }
    }
  }
}